package xbase;
# this package includes very basic functions

use strict;
require Exporter;

our @ISA = qw(Exporter);
our @EXPORT = qw(
getmtime getFileContent setFileContent touch
);



sub mkbasedir($)
{
	my($f)=@_;
	$f=~s{[^/]+$}{};
	my $x="";
	foreach my $p (split("/", $f)) {
		$x.=$p."/";
		mkdir $x;
		#print "mkdir $x\n";
	}
}

sub touch($)
{
	my $time=time();
	utime($time,$time,$_[0]) || open(my $x, ">>", $_[0]);
}

sub getmtime($)
{
	my($f)=@_;
	if(!-e $f) {return 0}
	return ((lstat($f))[9]);
}

# returns full content of file
sub getFileContent($) {my($fn)=@_;
   open(my $fd, $fn) or (warn "file $fn not found" and return undef);
   local $/;
   my $result=<$fd>;
   close($fd);
   return $result;
}

# changes contents of file
sub setFileContent($$) {
   my($fn, $content)=@_;
   open(my $fd, ">", $fn) or return undef;
   print $fd $content;
   close($fd);
   return 1
}

1;
